#include "stm32f10x.h"                  
#include "type.h"
#include "usbreg.h"
#include "usbcfg.h"

//extern void stm32_Init (void);
extern void USB_Init (void);
extern void USB_Connect (BOOL con);
extern DWORD USB_WriteEP (DWORD EPNum, BYTE *pData, DWORD cnt);

int main (void)
{
	//stm32_Init();
		RCC->APB2ENR |= RCC_APB2ENR_IOPCEN;
		GPIOC->CRH |= GPIO_CRH_MODE13_0;
		GPIOC->CRH &= ~GPIO_CRH_CNF13_0;
	USB_Init();
	USB_Connect(TRUE);
	GPIOC->ODR|=(1<<13); //turn on pull up DP line to enable USB
	//GPIOC->BSRR =GPIO_BSRR_BS0;
	while(1);
}

void GetReportToPC (void)
{
	USB_WriteEP(EP1_IN, (BYTE*)"HELLO vvv998!!!!!\r\n", USB_PACKET_LEN);
}

void ReportFromPCHandle (void)
{
	//your code
	GPIOC->ODR&=~(1<<13); //turn off usb after first packet received
	//GPIOB->BSRR =GPIO_BSRR_BR0;
}
